extends MeshInstance3D

func init(start, end):
	var draw_mesh = ImmediateMesh.new()
	mesh = draw_mesh
	draw_mesh.surface_begin(Mesh.PRIMITIVE_LINES, material_override)
	draw_mesh.surface_add_vertex(to_local(start))
	draw_mesh.surface_add_vertex(to_local(end))
	draw_mesh.surface_end()
	await get_tree().create_timer(1).timeout
	free()
